Submit a delegated prediction
curl --request POST \
--url https://api.blank.build/api/v2/delegated-predictions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"intentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"signature": "<string>"
}
'import requests
url = "https://api.blank.build/api/v2/delegated-predictions"
payload = {
"intentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"signature": "<string>"
}
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({intentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', signature: '<string>'})
};
fetch('https://api.blank.build/api/v2/delegated-predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"baselineBalanceRaw": "1000000000",
"baselineBalanceSlot": "1000000000",
"baselineEligible": true,
"distancePpm": "1000000000",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mintAddress": "11111111111111111111111111111111",
"predictedPriceInSol": "0.00001234",
"rank": 123,
"roundId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlementEligible": true,
"submittedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"walletAddress": "11111111111111111111111111111111"
}{
"code": "malformed_json",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 400,
"title": "Malformed JSON",
"type": "https://blank.build/docs/reference/errors#malformed_json",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "invalid_api_key",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 401,
"title": "Invalid API key",
"type": "https://blank.build/docs/reference/errors#invalid_api_key",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "prediction_authorization_invalid",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 403,
"title": "Prediction authorization invalid",
"type": "https://blank.build/docs/reference/errors#prediction_authorization_invalid",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "prediction_intent_not_found",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 404,
"title": "Prediction intent not found",
"type": "https://blank.build/docs/reference/errors#prediction_intent_not_found",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "prediction_intent_expired",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 409,
"title": "Prediction intent expired",
"type": "https://blank.build/docs/reference/errors#prediction_intent_expired",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "request_body_too_large",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 413,
"title": "Request body too large",
"type": "https://blank.build/docs/reference/errors#request_body_too_large",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "unsupported_content_type",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 415,
"title": "Unsupported content type",
"type": "https://blank.build/docs/reference/errors#unsupported_content_type",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "validation_failed",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 422,
"title": "Validation failed",
"type": "https://blank.build/docs/reference/errors#validation_failed",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "rate_limit_exceeded",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 429,
"title": "Rate limit exceeded",
"type": "https://blank.build/docs/reference/errors#rate_limit_exceeded",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "internal_error",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 500,
"title": "Internal server error",
"type": "https://blank.build/docs/reference/errors#internal_error",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}{
"code": "prediction_balance_unavailable",
"detail": "<string>",
"instance": "<string>",
"requestId": "req_0123456789abcdef0123456789abcdef",
"status": 503,
"title": "Balance unavailable",
"type": "https://blank.build/docs/reference/errors#prediction_balance_unavailable",
"causes": [
{
"detail": "<string>",
"title": "<string>",
"context": {}
}
],
"context": {},
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>"
}
]
}Predictions
Submit a delegated prediction
Consumes a prediction intent after verifying the end user’s Ed25519 wallet signature and current eligibility.
POST
/
delegated-predictions
Submit a delegated prediction
Authorizations
Server-side scoped Blank API key. Never embed it in browser or mobile code.
Headers
Required string length:
8 - 128Pattern:
^[\x21-\x7E]+$Example:
"launch-20260809-01"
Body
application/json
Response
The immutable prediction owned by the signing user.
Pattern:
^(?:0|[1-9][0-9]*)$Example:
"1000000000"
Pattern:
^(?:0|[1-9][0-9]*)$Example:
"1000000000"
Pattern:
^(?:0|[1-9][0-9]*)$Example:
"1000000000"
Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$Example:
"11111111111111111111111111111111"
Pattern:
^(?:0|[1-9][0-9]*)(?:\.[0-9]*[1-9])?$Example:
"0.00001234"
Available options:
active, ineligible, voided Available options:
web, api_v2 Required string length:
1 - 64Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$Example:
"11111111111111111111111111111111"
⌘I